DROP TABLE IF EXISTS `ctracker_data`;
CREATE TABLE IF NOT EXISTS `ctracker_data` (
	`id` bigint(20) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Running id number',
	`remote_addr` varchar(15) NOT NULL COMMENT 'Remote address',
	`user_agent` tinytext NOT NULL COMMENT 'User agent string',
	`get_data` tinytext NOT NULL COMMENT 'Serialized GET data',
	`post_data` tinytext NOT NULL COMMENT 'Serialized POST data',
	`check_worm` tinytext NOT NULL COMMENT 'Manipulated GET data',
	`check_post` tinytext NOT NULL COMMENT 'Manipulated GET data',
	`server_name` tinytext NOT NULL COMMENT 'Server''s host name',
	`script_name` varchar(255) NOT NULL COMMENT 'Full script name',
	`referer` varchar(255) NOT NULL COMMENT 'Referer',
	`proxy_used` enum('Y','N') NOT NULL DEFAULT 'N' COMMENT 'Proxy used?',
	`first_attempt` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00' COMMENT 'First attempt',
	`last_attempt` TIMESTAMP ON UPDATE CURRENT_TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT 'Last attempt',
	`count` bigint(20) unsigned NOT NULL DEFAULT '0' COMMENT 'Counter',
	PRIMARY KEY (`id`),
	KEY `remote_addr` (`remote_addr`)
) TYPE=InnoDB COMMENT='Gathered data of attack';
